<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__plxsc__char__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_plxsc_char_t</compoundname>
    <includes local="no">cy_ble_plxs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__plxsc__char__t_1a0d608b7ce629311da3dc227d39ecec91" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_plxsc_char_t::valueHandle</definition>
        <argsstring />
        <name>valueHandle</name>
        <briefdescription>
<para>Handle of Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="169" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="169" />
      </memberdef>
      <memberdef id="structcy__stc__ble__plxsc__char__t_1a8fe041b0175f4153b09e39a6918eba14" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_plxsc_char_t::endHandle</definition>
        <argsstring />
        <name>endHandle</name>
        <briefdescription>
<para>End handle of Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="170" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="170" />
      </memberdef>
      <memberdef id="structcy__stc__ble__plxsc__char__t_1af88f0557dc5f4bfbcb27dd185d1da030" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_plxsc_char_t::descrHandle[CY_BLE_PLXS_DESCR_COUNT]</definition>
        <argsstring>[CY_BLE_PLXS_DESCR_COUNT]</argsstring>
        <name>descrHandle</name>
        <briefdescription>
<para>Array of Descriptor handles. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="171" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="171" />
      </memberdef>
      <memberdef id="structcy__stc__ble__plxsc__char__t_1a23cfa7b66251e84ae0e7f3c3cfeb6dd7" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t cy_stc_ble_plxsc_char_t::properties</definition>
        <argsstring />
        <name>properties</name>
        <briefdescription>
<para>Properties for Value Field. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="172" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="172" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>PLXS Characteristic with descriptors. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="173" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" bodystart="167" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_plxs.h" line="168" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__plxsc__char__t_1af88f0557dc5f4bfbcb27dd185d1da030" virt="non-virtual"><scope>cy_stc_ble_plxsc_char_t</scope><name>descrHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__plxsc__char__t_1a8fe041b0175f4153b09e39a6918eba14" virt="non-virtual"><scope>cy_stc_ble_plxsc_char_t</scope><name>endHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__plxsc__char__t_1a23cfa7b66251e84ae0e7f3c3cfeb6dd7" virt="non-virtual"><scope>cy_stc_ble_plxsc_char_t</scope><name>properties</name></member>
      <member prot="public" refid="structcy__stc__ble__plxsc__char__t_1a0d608b7ce629311da3dc227d39ecec91" virt="non-virtual"><scope>cy_stc_ble_plxsc_char_t</scope><name>valueHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>